# convert <OLD_EXT> <NEW_EXT>
# convert all files with old_ext to new_ext using ffmpeg
function convert() {
	for i in *.$1; do ffmpeg -i "$i" "${i%.*}.$2"; done
}

# remux all mkvs in current dir to mp4
function mkvToMp4() {
	for i in *.mkv; do ffmpeg -i "$i" -map 0 -c copy "${i%.*}.mp4"; done
}

# print duration of video file
alias ffprobe_duration="ffprobe -v error -show_entries format=duration -of default=noprint_wrappers=1:nokey=1"

# duration EXT
# print duration of all files with .EXT
function duration() {
	for i in *.$1
	do
		echo "$(ffprobe_duration $i) - $i"
	done
}

# gif2avif <GIF>
# convert gif to avif image
function gif2avif() {
	ffmpeg -i "$1" -pix_fmt yuv444p10 -strict -1 "${1%.*}.y4m";
	avifenc "${1%.*}.y4m" "${1%.*}.avif";
	rm -v "${1%.*}.y4m";
}
